.card-item.card-funcionario{
    width: 390px;
    height: 185px;
    position: relative;
}
.icon-portalrh svg{
    border-radius: 50%;
}
.icon-om{
    width: 24px;
}
/*CONFIGURACOES DE POPUP===================================================================CONFIGURACOES DE POPUP*/

.erro-cod-line{
    width: 5%;
    max-width: 5%;
    display: inline-flex;
    margin-left: 8px;
}
.erro-problem{
    width: 70%;
}
.erro-nome-func{
    width: 25%;
}
.buttonRemove[disabled]{
    color: var(--color-disabled)!important;
    pointer-events: none;

}
/*===============================================================================================================*/

md-dialog#criarUsuW {
    width: 70vw;
    max-width: 700px;
    height: 150px;
    min-height: 150px;
    overflow: hidden;
}
md-dialog#criarUsuW.usu-view {
    max-height: 500px;
    height: 80vh;
    width: 75vw;
    max-width: 1000px;
}
md-dialog#criarUsuW md-button.lideres-bnt{
    margin: auto;
    max-width: 200px;
}
md-dialog#criarUsuW .usu-w-footer{
    margin-top: auto;
    width: 100%;
    min-width: 100%;
    display: flex;
    padding: 8px 8px 8px 16px;
}
md-dialog#criarUsuW #cancelButton{
    color: var(--color-red);
    margin-left: auto;
}
md-dialog#criarUsuW #confirmButton{
    color:var(--color-green);
}
md-dialog#criarUsuW #removerLider{
    color:var(--color-red);
}
md-dialog#criarUsuW .card-rounded {
    height: 55px;
    width: 245px;
    box-shadow: rgba(0, 0, 0, 0.2) 0px 1px 3px 0px,
                rgba(0, 0, 0, 0.14) 0px 1px 1px 0px, 
                rgba(0, 0, 0, 0.12) 0px 2px 1px -1px;
    border-radius: 50px;
    transition: all ease-in-out var(--animation-time-short);
    -webkit-transition: all ease-in-out var(--animation-time-short);
    -moz-transition: all ease-in-out var(--animation-time-short);
}
md-dialog#criarUsuW .card-rounded md-card {
    margin: 0!important;
    height: 55px;
    width: 245px;
    background-color: var(--color-surface)!important;
    box-shadow: rgba(0, 0, 0, 0.2) 0px 1px 3px 0px, 
                rgba(0, 0, 0, 0.14) 0px 1px 1px 0px, 
                rgba(0, 0, 0, 0.12) 0px 2px 1px -1px!important;
    padding: 3px!important;
    border-radius: 50px;
    height: 55px;
    width: 245px;
}
md-dialog#criarUsuW .card-rounded img {
    object-fit: cover;
    border-radius: 50%;
    width: 44px;
    height: 44px;
    float: right;
}
md-dialog#criarUsuW .card-rounded-info{
    display: grid;
    grid-template-columns: 45px calc(100% - 90px) 45px;
}
md-dialog#criarUsuW .card-rounded-nome{
    font-size: 16px;
    text-align: center;
    color: var(--color-on-surface-dark);
    font-weight: bold;
    margin-bottom: auto;
}
md-dialog#criarUsuW .cards-grid {
    display: grid;
    grid-template-columns: repeat(auto-fill, 245px);
    grid-template-rows: repeat(auto-fill, 55px);
    gap: 10px;
    justify-content: center;
    padding-top: 10px;
    height: 80%!important;
}

.func-foto-container{
    width: fit-content;
    height: fit-content;
}

.image-container{
    display: flex;
}

.foto-func{
    background-size: cover;
    background-repeat: no-repeat;
    background-position: 50% 50%;
    border-radius: 50%;
    margin: auto;
}

.image-container.large{
    height: 116px;
    width: 116px;

}


.image-container.large .foto-func{
    height: 98px;
    width: 98px;
}

/**remover lider*/

md-dialog#popUpRemoveLiderID {
    
    min-height: 150px;
    overflow: hidden;
    max-height: 500px;
    height: 81vh;
    width: 75vw;
    max-width: 1000px;
}

md-dialog#popUpRemoveLiderID md-button.lideres-bnt{
    margin: auto;
    max-width: 200px;
}
md-dialog#popUpRemoveLiderID .usu-w-footer{
    margin-top: auto;
    width: 100%;
    min-width: 100%;
    display: flex;
    padding: 8px 8px 8px 16px;
}
md-dialog#popUpRemoveLiderID #cancelButton{
    color: var(--color-red);
    margin-left: auto;
}
md-dialog#popUpRemoveLiderID #confirmButton{
    color:var(--color-green);
}
md-dialog#popUpRemoveLiderID #removerLider{
    color:var(--color-red);
}
md-dialog#popUpRemoveLiderID .card-rounded {
    height: 70px;
    width: 265px;
    box-shadow: rgba(0, 0, 0, 0.2) 0px 1px 3px 0px,
                rgba(0, 0, 0, 0.14) 0px 1px 1px 0px, 
                rgba(0, 0, 0, 0.12) 0px 2px 1px -1px;
    border-radius: 50px;
    transition: all ease-in-out var(--animation-time-short);
    -webkit-transition: all ease-in-out var(--animation-time-short);
    -moz-transition: all ease-in-out var(--animation-time-short);
}

md-dialog#popUpRemoveLiderID .card-rounded:hover{
    background-color: var(--color-hover);
}
md-dialog#popUpRemoveLiderID .card-rounded:hover:not(.no-hover){
    -ms-transform: scale(1.02 , 1.02); /* IE 9 */
    -webkit-transform: scale(1.02 , 1.02); /* Safari */
    transform: scale(1.02 , 1.02);
    background-color: var(--color-hover);
    box-shadow: 0 5px 5px -3px rgba(0,0,0,.2),
                0 8px 10px 1px rgba(0,0,0,.14),
                0 3px 14px 2px rgba(0,0,0,.12);
}

md-dialog#popUpRemoveLiderID .card-rounded md-card {
    margin: 0!important;
    height: 70px;
    width: 265px;
    background-color: var(--color-surface)!important;
    box-shadow: rgba(0, 0, 0, 0.2) 0px 1px 3px 0px, 
                rgba(0, 0, 0, 0.14) 0px 1px 1px 0px, 
                rgba(0, 0, 0, 0.12) 0px 2px 1px -1px!important;
    padding: 3px!important;
    border-radius: 50px;
}
md-dialog#popUpRemoveLiderID .card-rounded img {
    object-fit: cover;
    border-radius: 50%;
    width: 44px;
    height: 44px;
    float: right;
}
md-dialog#popUpRemoveLiderID .card-rounded-info{
    display: grid;
    grid-template-columns: 45px calc(100% - 45px);
}
md-dialog#popUpRemoveLiderID .card-rounded-nome{
    font-size: 16px;
    text-align: center;
    color: var(--color-on-surface-dark);
    font-weight: bold;
    margin-bottom: auto;
}
md-dialog#popUpRemoveLiderID .cards-grid {
    display: grid;
    grid-template-columns: repeat(auto-fill, 265px);
    grid-template-rows: repeat(auto-fill, 70px);
    gap: 10px;
    justify-content: center;
    padding-top: 10px;
    height: 80%!important;
}
.with-58px{
    width: 58px;
}


/*POPUP LIDERES*/

.lideres-grid-list {
    display: grid;
    grid-template-columns: calc(25% - 5px) calc(50% - 10px) calc(25% - 6px)  ;
    grid-column-gap: 5px;
    height: 40px;
    top: 4px;
    transition: all ease-in-out var(--animation-time-short);
    -webkit-transition: all ease-in-out var(--animation-time-short);
    -moz-transition: all ease-in-out var(--animation-time-short);
}

md-dialog.popup-lideres {
    width: 60%;
    height: 75%;
}

md-dialog.popup-lideres .list-content {
    max-height: calc(90vh - 140px);
}

md-dialog.popup-lideres .list-content md-list-item {
    height: 48px;
    overflow: hidden;
    position: relative;
    transition: all ease-in-out var(--animation-time-short);
    -webkit-transition: all ease-in-out var(--animation-time-short);
    -moz-transition: all ease-in-out var(--animation-time-short);
}

md-dialog.list-content md-list-item.show-delete {
    background-color: var(--color-on-primary-lighter)!important;
}

md-dialog.popup-lideres .delete-options {
    font-size: 17px;
    color: var(--color-on-primary-light);
    font-weight: bold;
    display: grid;
    grid-template-columns: calc(100% - 275px) 130px 130px;
    height: 65px;
    position: absolute;
    top: 50px;
    transition: all ease-in-out var(--animation-time-short);
    -webkit-transition: all ease-in-out var(--animation-time-short);
    -moz-transition: all ease-in-out var(--animation-time-short);
}
.titles {
    width: 100%;
}
md-dialog.popup-lideres .delete-options.show-delete {
    top: -7px;
}

.body-box {
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
}

.box {
    width: 500px;
    padding: 10px;
}

.rating {
    position: relative;
    display: flex;
    flex-direction: row-reverse;
    margin-top: 10px;
    border: 1px solid #000;
    box-sizing: border-box;
    background: linear-gradient(to right, #f00, #ff0, #0f0);
}

.rating input {
    display: none;

}

.rating label {
    display: block;
    cursor: pointer;
    width: 50px;
    height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: 0.5s;
    background-color: #fff;
    color: #000;
    font-size: 20px;
    border-right: 1px solid #000;
    font-family: 'Roboto', sans-serif;
    margin-bottom: 0;
}

.rating input[type="radio"]:hover ~ label,
.rating input[type="radio"]:checked ~ label {
    background: transparent;
}

.mensagem-body-container{
    width: 100%;
    height: 200px;
    margin: 0;
}

.mensagem-body-container:not(.md-input-invalid).md-input-focused .md-input{
    border-color: var(--color-primary) !important;
}

.mensagem-body-container{
    margin-left: auto;
    margin-right: auto;
    width: calc(100% - 40px);
    height: 100px;
}
.mensagem-body-container:not(.md-input-invalid).md-input-focused .md-input{
    border-color: var(--color-primary) !important;
}

.mensagem-body{
    background-color: var(--color-surface-light) !important;
    border-radius: 3px !important;
    color: var(--color-on-surface-dark) !important;
    min-height: 200px !important;
    overflow-y: auto;
}

.mensagem-body{
    background-color: var(--color-surface-light) !important;
    border-radius: 3px !important;
    color: var(--color-on-surface-dark) !important;
    height: 100% !important;
    overflow-y: auto;
}

.options-bottom {
    bottom: 0;
    position: fixed;
    width: 100%;
}

.min-height-420px {
    min-height: 420px;
}

.overflow-unset {
    overflow: unset;
}

md-input-container.md-default-theme .md-placeholder, md-input-container .md-placeholder, md-input-container.md-default-theme label, md-input-container label {
    color: var(--color-primary);
}

md-input-container.md-default-theme:not(.md-input-invalid).md-input-focused label, md-input-container:not(.md-input-invalid).md-input-focused label, md-input-container.md-default-theme:not(.md-input-invalid).md-input-focused md-icon, md-input-container:not(.md-input-invalid).md-input-focused md-icon {
    color: var(--color-primary);
}